Subject: Re: [RFC PATCH net-next v4 01/28] net: mdio: ipq8064: clean whitespaces in define

From: Andrew Lunn <[email-masked]>
Date: Sun, 16 May 2021 01:52:05 +0200

> > They're on 2 separate sets of GPIOs if that makes a difference - switch0
> > is in gpio0/1 and switch1 is on gpio10/11. Is the internal MDIO logic
> > shared between these? Also even if that's the case it seems odd that
> > enabling the MDIO for just switch0 doesn't work?
> > 
> 
> The dedicated internal mdio on ipq8064 is unique and present on the
> gmac0 address so yes it's shared between them. And this seems to be the
> problem... As you notice the fact that different gpio are used for the
> different switch fix the problem. So think that to use the dedicated
> mdio bus with both switch we need to introduce some type of
> syncronization or something like that.

Please could you describe the hardware in a bit more details. Or point
me at a datasheet. It sounds like you have an MDIO mux? Linux has this
concept, so you might need to implement a mux driver.

	 Andrew